##Player
#~~~~~ load ~~~~~
execute as @e[type=player, tag=!loaded] run tag @s add load
execute as @e[type=player, tag=load, tag=!loaded] run function load
execute as @e[type=player, tag=load] run tag @s add loaded
execute as @e[type=player, tag=loaded] run tag @s remove load

##Datapack

#~~~~~ obsidian_field ~~~~~
execute as @e[type=sheep] at @s positioned as @s if biome ~ ~ ~ obsidian_field run data merge entity @s {Color:15}

#~~~~~ last_circle ~~~~~
execute as @e[type=skeleton] at @s positioned as @s if biome ~ ~ ~ last_circle run tag @s add stray
execute as @e[tag=stray] at @s positioned as @s if biome ~ ~ ~ last_circle run summon stray ~ ~ ~ {Tags: ["circle"]}
execute as @e[tag=stray] at @s positioned as @s if biome ~ ~ ~ last_circle run kill @s
execute as @e[tag=circle] at @s positioned as @s if biome ~ ~ ~ last_circle run kill @e[type=item, limit=4, distance=..2]
execute as @e[tag=circle] at @s positioned as @s if biome ~ ~ ~ last_circle run tag @s remove circle

#~~~~~ purgatory ~~~~~
execute as @e[type=bee] at @s positioned as @s if biome ~ ~ ~ purgatory run data merge entity @s {HasStung: 0b, HurtByTimestamp: 0}
execute as @e[type=bee] at @s positioned as @s if biome ~ ~ ~ purgatory run effect clear @s
#~~~~~ illusion ~~~~~
execute as @e[type=minecraft:item, nbt={Item:{id:"minecraft:cyan_stained_glass"}}, tag=!fake] positioned as @s at @p[distance=..5] if biome ~ ~ ~ minecraft:illusion_caves run tag @s add break
execute as @e[type=minecraft:item, nbt={Item:{id:"minecraft:lime_stained_glass"}}, tag=!fake] positioned as @s at @p[distance=..5] if biome ~ ~ ~ minecraft:illusion_caves run tag @s add break
execute as @e[type=minecraft:item, nbt={Item:{id:"minecraft:red_stained_glass"}}, tag=!fake] positioned as @s at @p[distance=..5] if biome ~ ~ ~ minecraft:illusion_caves run tag @s add break
execute as @e[type=minecraft:item, nbt={Item:{id:"minecraft:blue_stained_glass"}}, tag=!fake] positioned as @s at @p[distance=..5] if biome ~ ~ ~ minecraft:illusion_caves run tag @s add break
#execute as @e[type=minecraft:item, nbt={Item:{id:"minecraft:purple_stained_glass"}}, tag=!fake] positioned as @s at @p[distance=..5] if biome ~ ~ ~ minecraft:illusion_caves run tag @s add break

#execute as @e[tag=break, tag=!fake] positioned as @s at @s run particle block cyan_stained_glass ~ ~ ~ 0.32 0.32 0.32 1 16 normal
execute as @e[tag=break, tag=!fake] positioned as @s at @s run playsound block.amethyst_block.break block @p ~ ~ ~ 10 1
execute as @e[tag=break, tag=!fake] positioned as @s at @s run tag @s add fake

#~~~~~ shulk_realm ~~~~~
execute as @e[type=player] at @s positioned as @s if biome ~ ~ ~ shulk_realm run effect give @s jump_boost 10 5 true
execute as @e[type=player] at @s positioned as @s if biome ~ ~ ~ shulk_realm run effect give @s slow_falling 15 0 true

execute as @e[type=shulker] at @s positioned as @s if block ~ ~-1 ~ #dirt run effect give @s invisibility 3 0 false

#~~~~~ ancient ruins ~~~~~
execute as @e[type=minecraft:armor_stand, tag=magnet] positioned as @s if block ~ ~ ~ minecraft:lodestone run effect give @e[distance=..21] minecraft:slowness 3 0 true
execute as @e[type=minecraft:armor_stand, tag=magnet] positioned as @s if block ~ ~ ~ minecraft:lodestone run effect give @e[distance=..16] minecraft:slowness 1 1 true
execute as @e[type=minecraft:armor_stand, tag=magnet] positioned as @s if block ~ ~ ~ minecraft:lodestone run effect give @e[distance=..12] minecraft:slowness 1 2 true
execute as @e[type=minecraft:armor_stand, tag=magnet] positioned as @s if block ~ ~ ~ minecraft:lodestone run effect give @e[distance=..7] minecraft:slowness 3 4 true
execute as @e[type=minecraft:armor_stand, tag=magnet] positioned as @s if block ~ ~ ~ minecraft:lodestone run effect give @e[distance=..8] minecraft:darkness 10 0 true
execute as @e[type=minecraft:armor_stand, tag=magnet] positioned as @s if block ~ ~ ~ minecraft:lodestone run effect give @e[distance=..7] minecraft:nausea 32 0 true
execute as @e[type=minecraft:armor_stand, tag=magnet] positioned as @s if block ~ ~ ~ minecraft:lodestone run effect give @e[distance=..3.5] minecraft:slowness 10 5 true
execute as @e[type=minecraft:armor_stand, tag=magnet] positioned as @s if block ~ ~ ~ minecraft:lodestone run effect give @e[distance=..3.5] minecraft:mining_fatigue 5 2 true

execute as @e[type=minecraft:armor_stand, tag=magnet] positioned as @s if block ~ ~ ~ minecraft:lodestone run playsound block.bell.resonate block @e[type=player, distance=..11] ~ ~ ~ 1 0.64 1
execute as @e[type=minecraft:armor_stand, tag=magnet] positioned as @s if block ~ ~ ~ minecraft:lodestone run playsound block.bell.resonate block @e[type=player, distance=..7] ~ ~ ~ 3 0.81 1
execute as @e[type=minecraft:armor_stand, tag=magnet] positioned as @s if block ~ ~ ~ minecraft:lodestone run playsound block.bell.resonate block @e[type=player, distance=..5] ~ ~ ~ 5 1 1

execute as @e[type=minecraft:armor_stand, tag=magnet] positioned as @s if block ~ ~ ~ minecraft:air run playsound block.beacon.deactivate block @e[type=player, distance=..27] ~ ~ ~ 5 0.75 1
execute as @e[type=minecraft:armor_stand, tag=magnet] positioned as @s if block ~ ~ ~ minecraft:air run summon tnt ~ ~ ~ {Fuse:0,Silent:1b}
execute as @e[type=minecraft:armor_stand, tag=magnet] positioned as @s if block ~ ~ ~ minecraft:air run kill @s


##Vanilla

#~~~~~ mobs ~~~~~
execute as @e[type=skeleton] at @s positioned as @s if dimension overworld if block ~ ~-16 ~ air if block ~ ~16 ~ air if block ~16 ~-1 ~ air if block ~-16 ~-1 ~ air if block ~ ~-1 ~16 air if block ~ ~-1 ~-16 air run tag @s add wind
execute as @e[type=skeleton] at @s positioned as @s if dimension overworld if block ~ ~-16 ~ air if block ~ ~16 ~ air if block ~16 ~-1 ~ air if block ~-16 ~-1 ~ air if block ~ ~-1 ~16 air if block ~ ~-1 ~-16 air run data merge entity @s {ArmorItems:[{Count:1,id:"leather_boots",tag:{display:{color:6192150},Enchantments:[{id:"feather_falling",lvl:4}]}},{},{},{Count:1,id:"leather_helmet",tag:{display:{color:6192150}}}],ArmorDropChances:[0.3f,0.0f,0.0f,0.0f]}
execute as @e[tag=wind] at @s positioned as @s if block ~ ~-1 ~ air run effect give @s slow_falling 1 0 false

#execute as @e[type=zombie] at @s positioned as @s if biome ~ ~ ~ hell_caves run tag @s add wind
#execute as @e[type=zombie] at @s positioned as @s if biome ~ ~ ~ hell_caves run data merge entity @s {ArmorItems:[{Count:1,id:"leather_boots",tag:{display:{color:6192150},Enchantments:[{id:"feather_falling",lvl:4}]}},{},{},{Count:1,id:"leather_helmet",tag:{display:{color:6192150}}}],ArmorDropChances:[0.3f,0.0f,0.0f,0.0f]}
#execute as @e[tag=wind] at @s positioned as @s if block ~ ~-1 ~ air run effect give @s slow_falling infinite 0 false

execute as @e[type=minecraft:vindicator] at @s positioned as @s if biome ~ ~ ~ ancient_ruins run data merge entity @s {HandItems:[{Count:1,id:"iron_pickaxe"},{}]}

#~~~~~ desert ~~~~~
execute as @e[type=silverfish] at @s positioned as @s if biome ~ ~ ~ desert run tag @s add crocodile
execute as @e[tag=crocodile] at @s positioned as @s run data merge entity @s {Silent:1}
effect give @e[tag=crocodile] minecraft:invisibility infinite 0 true

execute as @e[tag=crocodile] at @s positioned as @s unless data entity @s {Motion:[0.0d, -0.0784000015258789d, 0.0d]} run particle block sand ~ ~ ~ 0 0 0 0 1 normal

execute as @e[tag=crocodile] at @s positioned as @s if block ~ ~-1 ~ #sand run scoreboard players add @s crocodile_sound 1
execute as @e[tag=crocodile] at @s if score @s crocodile_sound matches 12..15 run playsound minecraft:block.sand.break hostile @p[distance=..5] ~ ~ ~ 1 0.7
execute as @e[tag=crocodile] at @s if score @s crocodile_sound matches 15.. run scoreboard players set @s crocodile_sound 0


execute as @e[type=minecraft:silverfish, tag=crocodile] positioned as @s at @p[distance=1.6..2] unless entity @e[type=minecraft:evoker_fangs,distance=..2] run summon minecraft:evoker_fangs
execute as @e[type=minecraft:silverfish, tag=crocodile] positioned as @s run kill @e[type=minecraft:evoker_fangs, distance=..1]

#~~~~~ teleport ~~~~~
execute as @p[tag=t] positioned as @s if entity @e[type=item_frame, distance=2..4] run tag @s remove t

#~~~ red
execute as @e[type=minecraft:item_frame, nbt={Item: {id: "minecraft:red_dye", Count: 1b}}] positioned as @s if entity @e[type=ender_pearl, distance=..1] run tag @s add red_t
execute as @e[type=minecraft:item_frame, nbt={Item: {id: "minecraft:red_dye", Count: 1b}}] positioned as @s if entity @e[type=ender_pearl, distance=..1] run playsound entity.ender_eye.death block @p
execute as @e[type=minecraft:item_frame, nbt={Item: {id: "minecraft:red_dye", Count: 1b}}] positioned as @s if entity @e[type=ender_pearl, distance=..1] run kill @e[type=ender_pearl, distance=..1]

execute as @e[tag=red_t] positioned as @s run particle dust 0.67 0 0 1 ~ ~ ~ 0.16 0.16 0.16 0 1
execute as @e[tag=red_t] positioned as @s run tag @p[distance=..1] add t
execute as @e[tag=red_t] positioned as @s if block ~ ~1 ~ end_stone run playsound block.beacon.activate block @p[distance=1..2, tag=!t] ~ ~ ~ 32

execute as @e[tag=red_t] positioned as @s if block ~ ~2 ~ chorus_flower run tp @p[distance=1..2, tag=!t] @e[tag=red_t, distance=5..50, limit=1]
execute as @e[tag=red_t] positioned as @s if block ~ ~3 ~ chorus_flower run tp @p[distance=1..2, tag=!t] @e[tag=red_t, distance=50..100, limit=1]
execute as @e[tag=red_t] positioned as @s if block ~ ~4 ~ chorus_flower run tp @p[distance=1..2, tag=!t] @e[tag=red_t, distance=100..150, limit=1]
execute as @e[tag=red_t] positioned as @s if block ~ ~5 ~ chorus_flower run tp @p[distance=1..2, tag=!t] @e[tag=red_t, distance=150.., limit=1]
#~~~ red